ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractTariffService

-     public interface ContractTariffService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `contractTariffCancelByCustomer(int contractId, int contractTariffId)`
    `java.util.List<java.util.Date>` | `contractTariffChangeAvailableDateList(int contractId, int tariffGroupId, int fromTariffPlanId, int toTariffPlanId)`
    `java.lang.String` | `contractTariffChangeByCustomer(int contractId, int tariffGroupId, int fromContractTariffId, int toTariffPlanId, java.util.Date fromDate)`
    `void` | `contractTariffDelete(int id)`
    `java.util.List<ContractTariffEntry>` | `contractTariffEntryList(int contractId, java.util.Date date, int entityMid, int entityId)`
    `ContractTariff` | `contractTariffGet(int id)`
    `void` | `contractTariffGroupDelete(int id)`
    `java.util.List<ContractTariffGroup>` | `contractTariffGroupList(int contractId, java.util.Date date)`
    `int` | `contractTariffGroupUpdate(ContractTariffGroup contractTariffGroup)`
    `java.util.List<ContractTariff>` | `contractTariffList(int contractId, java.util.Date date, int entityMid, int entityId)`
    `int` | `contractTariffUpdate(ContractTariff contractTariff)`

- - ### Method Detail

    - #### contractTariffGroupUpdate

          int contractTariffGroupUpdate(ContractTariffGroup contractTariffGroup)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffGroupDelete

          void contractTariffGroupDelete(int id)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffGroupList

          java.util.List<ContractTariffGroup> contractTariffGroupList(int contractId,
                                                                      java.util.Date date)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffList

          java.util.List<ContractTariff> contractTariffList(int contractId,
                                                            java.util.Date date,
                                                            int entityMid,
                                                            int entityId)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffUpdate

          int contractTariffUpdate(ContractTariff contractTariff)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffDelete

          void contractTariffDelete(int id)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffEntryList

          java.util.List<ContractTariffEntry> contractTariffEntryList(int contractId,
                                                                      java.util.Date date,
                                                                      int entityMid,
                                                                      int entityId)
                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffGet

          ContractTariff contractTariffGet(int id)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffChangeAvailableDateList

          java.util.List<java.util.Date> contractTariffChangeAvailableDateList(int contractId,
                                                                               int tariffGroupId,
                                                                               int fromTariffPlanId,
                                                                               int toTariffPlanId)
                                                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffChangeByCustomer

          java.lang.String contractTariffChangeByCustomer(int contractId,
                                                          int tariffGroupId,
                                                          int fromContractTariffId,
                                                          int toTariffPlanId,
                                                          java.util.Date fromDate)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractTariffCancelByCustomer

          java.lang.String contractTariffCancelByCustomer(int contractId,
                                                          int contractTariffId)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`